PZIP(1)

NAME
pzip, punzip - compress or decompress files

SYNOPSIS
pzip file [ file2 file3 ... ]
pzip -c < file > dest_file
pzip -o dest_file file

punzip file.pz [ file2.pz file3.pz ... ]
punzip -c < file.pz > dest_file
punzip -o dest_file file.pz

DESCRIPTION
The pzip program compresses the named file(s) using the Panda native compression algorithm (gzip in practice, but with a different file header). The compressed versions are written to a file with the same name as the original, but the extension .pz added to the filename, and the original file is removed (unless the version with -o is used, in which case you can compress only one file, you specify the destination file name, and the original file is not removed).

In many cases, Panda can read the resulting .pz file directly, exactly as if it were still in its uncompressed original form. In fact, unless vfs-implicit-pz is set to false in your Config.prc file, you can also load the file by referencing it with its original filename (without the .pz extension), even though it no longer exists under that filename, and Panda will find the .pz file and transparently decompress it on the fly, as if the original, uncompressed file still existed.

Note that if you are adding files to a Panda multifile (.mf file) with the multify(1) command, it is not necessary to encrypt them separately; multify has an inline encryption option.

punzip reverses the operation of a previous pzip command. It uncompresses the contents of the named source file(s) and removes the .pz extension.

OPTIONS
These options apply to pzip only.

-1  compress faster

-6  compress default

-9  compress better (intermediate compression levels supported also)

SEE ALSO
multify(1)